com.amazonaws.services.simpleworkflow.model

## Enum FailWorkflowExecutionFailedCause

- java.lang.Object
- - java.lang.Enum<FailWorkflowExecutionFailedCause>
  - - com.amazonaws.services.simpleworkflow.model.FailWorkflowExecutionFailedCause

All Implemented Interfaces:
  Serializable, Comparable<FailWorkflowExecutionFailedCause>

    public enum FailWorkflowExecutionFailedCause
    extends Enum<FailWorkflowExecutionFailedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPERATION_NOT_PERMITTED`
`UNHANDLED_DECISION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FailWorkflowExecutionFailedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static FailWorkflowExecutionFailedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FailWorkflowExecutionFailedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNHANDLED_DECISION

    public static final FailWorkflowExecutionFailedCause UNHANDLED_DECISION

#### OPERATION_NOT_PERMITTED

    public static final FailWorkflowExecutionFailedCause OPERATION_NOT_PERMITTED

### Method Detail

#### values

    public static FailWorkflowExecutionFailedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FailWorkflowExecutionFailedCause c : FailWorkflowExecutionFailedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FailWorkflowExecutionFailedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<FailWorkflowExecutionFailedCause>`

#### fromValue

    public static FailWorkflowExecutionFailedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  FailWorkflowExecutionFailedCause corresponding to the value